com.mxgraph.view

## Class mxGraphSelectionModel.mxSelectionChange

- java.lang.Object
- - com.mxgraph.view.mxGraphSelectionModel.mxSelectionChange

- All Implemented Interfaces:
    mxUndoableEdit.mxUndoableChange
  Enclosing class:
    mxGraphSelectionModel

      public static class mxGraphSelectionModel.mxSelectionChange
      extends java.lang.Object
      implements mxUndoableEdit.mxUndoableChange

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Collection<java.lang.Object>` | `added`
    `protected mxGraphSelectionModel` | `model`
    `protected java.util.Collection<java.lang.Object>` | `removed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxGraphSelectionModel.mxSelectionChange(mxGraphSelectionModel model, java.util.Collection<java.lang.Object> added, java.util.Collection<java.lang.Object> removed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Undoes or redoes the change depending on its undo state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### model

          protected mxGraphSelectionModel model

    - #### added

          protected java.util.Collection<java.lang.Object> added

    - #### removed

          protected java.util.Collection<java.lang.Object> removed

  - ### Constructor Detail

    - #### mxGraphSelectionModel.mxSelectionChange

          public mxGraphSelectionModel.mxSelectionChange(mxGraphSelectionModel model,
                                                 java.util.Collection<java.lang.Object> added,
                                                 java.util.Collection<java.lang.Object> removed)

      Parameters:
        `model` -
        `added` -
        `removed` -

  - ### Method Detail

    - #### execute

          public void execute()

      Description copied from interface: `mxUndoableEdit.mxUndoableChange`
      Undoes or redoes the change depending on its undo state.
      Specified by:
        `execute` in interface `mxUndoableEdit.mxUndoableChange`

Copyright (c) 2010 Gaudenz Alder. All rights reserved.